org.apache.felix.utils.repository

## Class XmlRepository.XmlLoader

- java.lang.Object
- - org.apache.felix.utils.repository.UrlLoader
  - - org.apache.felix.utils.repository.XmlRepository.XmlLoader

Enclosing class:
  XmlRepository

    protected static class XmlRepository.XmlLoader
    extends UrlLoader

### Field Summary

Fields
`protected StaxParser.XmlRepository` `xml`

### Fields inherited from class org.apache.felix.utils.repository.UrlLoader

`GZIP, HEADER_ACCEPT_ENCODING`

### Constructor Summary

Constructors
Constructor and Description
`XmlLoader(String url, long expiration)`
`XmlLoader(String url, long expiration, StaxParser.XmlRepository xml)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `doRead(InputStream is)`

### Methods inherited from class org.apache.felix.utils.repository.UrlLoader

`base64, checkAndLoadCache, getUrl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### xml

    protected StaxParser.XmlRepository xml

### Constructor Detail

#### XmlLoader

    public XmlLoader(String url,
                     long expiration)

#### XmlLoader

    public XmlLoader(String url,
                     long expiration,
                     StaxParser.XmlRepository xml)

### Method Detail

#### doRead

    protected boolean doRead(InputStream is)
                      throws IOException

Specified by:
  `doRead` in class `UrlLoader`
Throws:
  `IOException`